<!DOCTYPE html>
<html>
  <head>
    <title>InvisiMaze</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width = device-width, initial-scale = 1.0">
    <link rel="stylesheet" href="css/maze.css">
    <link href="https://fonts.googleapis.com/css2?family=Inconsolata:wght@300&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Inconsolata&display=swap" rel="stylesheet">
  </head>
  <body>
    <nav id="nav">
  		<input type="checkbox" id="check">
  		<label for="check">
  			<div class="hamb"></div><div class="hamb"></div><div class="hamb"></div>
  		</label>
  		<ul>
  			<li id="first"><a href="index.html">Home Page</a></li>
  			<li><a href="about-me.html">About Me</a></li>
  			<li><a href="projects.html">Projects</a></li>
  		</ul>
  	</nav>
  	<div class="title">
  		<h1>InvisiMaze</h1>
  	</div>
    <div class="container">
      <p id="tip">For the full experience you need a keyboard and mouse.<br>
        Use arrows to move.</p>
        <p id="tip">If you are on a smartphone/tablet, click on debug and press anywhere on the canvas.</p>
      <canvas id="mazeCanvas" style="background: black;"></canvas>
      <script>
      canv = document.getElementById('mazeCanvas');
      if(window.innerWidth > 600){
        canv.width = 600;
        canv.height = 600;
      }
      else{
        canv.width = screen.width*0.95;
        canv.height = canv.width;
      }
      </script>
      <div class="description">
        <p>Debug must be active for the FOV and the number of rays to change.</p>
        <p>While debug is active you can also use WASD to directly move on the X and Y axis<br>or move the cursor over the canvas and the player will follow.</p>
        <div class="group">
          <label for="fov">FOV</label>
          <input type="range" id="fov" min="2" max="360" value="90">
        </div>
        <div class="group">
          <label for="nRays">Rays</label>
          <input type="range" id="nRays" min="3" max="500" value="100">
        </div>
        <div class="group" id="button">
          <button type="button" onclick="pressionadoDebug()" class="apontador" id="botaoDebug">Debug</button>
          <button type="button" onclick="pressionadoSpin()" class="apontador" id="botaoSpin">Spin</button>
        </div>
        <script src="js/maze.js"></script>
      </div>
    </div>

    <div class="bottom">
  		<div class="bottom_title">
  			<h1>Contact Me</h1>
  		</div>
  		<div class="block">
  			git-lab:<br><a href="https://gitlab.com/jean.sanchuki" class="link">jean.sanchuki</a><br><br>
  		</div>
  		<div class="block">
  			linkedin:<br><a href="https://www.linkedin.com/in/jean-sanch-f/" class="link">jean-sanch-f</a>
  		</div>
  	</div>

    <script>
      var prevScrollpos = window.pageYOffset;
      window.onscroll = function() {
        var currentScrollPos = window.pageYOffset;
        if (prevScrollpos > currentScrollPos) {
          document.getElementById("nav").style.top = "0";
        }
        else if (window.innerWidth > 858) {
          document.getElementById("nav").style.top = "-80px";
        }
        prevScrollpos = currentScrollPos;
      }
    </script>
  </body>
</html>
